package org.ananas.hc;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

public interface HCTables
{
   public static final String CLASS_SUFFIX = "__org_ananas_hc_tables_1";
   public void setHCHandler(HCHandler handler);
   public int getCount();
   public int move(int xpath,QName qname,int state);
   public boolean isAcceptingState(int xpath,int state);
   public void acceptStartEvent(int xpath,int state,QName qName,Attributes atts)
      throws SAXException;
   public void acceptEndEvent(int xpath,int state,QName qName)
      throws SAXException;
   public void acceptCharactersEvent(int xpath,int state,char[] ch,int start,int length)
      throws SAXException;
}
