package org.ananas.hc.test;

import org.xml.sax.Attributes;

/**
 * @xmlns http://ananas.org/2002/test
 * @xmlns db http://www.ananas.org/2001/docbook
 */

public class TestApplicationHandler
   implements org.ananas.hc.HCHandler
{
   /**
    * @xpath db:sect1/db:simpara
    */
   public void simpara(String name,Attributes atts)
   {
      System.out.println("simpara: " + name);
   }

   /**
    * @xpath db:sect1/db:simpara/db:ulink
    * @xpath db:sect1/db:sect1info
    */
   public void ulinkOrInfo(String uri,String name)
   {
      System.out.println("ulinkOrInfo: " + uri + ' ' + name);
   }

   // BUGBUG -- it does not work if I put db:inlinegraphic only
   // it needs to be able to select other...
   // maybe the best solution is to present it as if it only recognizes
   // absolute paths (and adapt XPathHandler for them)
   /**
    * @xpath db:sect1/db:simpara/db:inlinegraphic
    * @xpath db:sect1/db:simpara
    */
   public void otherMethod(org.ananas.hc.QName qname)
   {
      System.out.println("otherMethod");
   }

   public void none(String st)
   {
   }
}
